Saltar al contenido principal
PUT
/
v1
/
agents
/
{agentId}
Update one agent
curl --request PUT \
  --url https://api.bold-factory.com/v1/agents/{agentId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "instructions": "<string>",
  "permissions": [
    "<string>"
  ],
  "allowQuestions": true,
  "allowMemory": true,
  "memory": "<string>"
}
'
{
  "type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
  "title": "Filter parsing failed",
  "status": 400,
  "detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
  "instance": "POST /v1/items/products/search",
  "code": "FILTER_PARSING_FAILED"
}

Autorizaciones

Authorization
string
header
requerido

Use a valid JWT token in the Authorization header with the format 'Bearer {token}'

Parámetros de ruta

agentId
string
requerido

Cuerpo

application/json
name
string
requerido
instructions
string
requerido
permissions
string[]
requerido
intelligenceLevel
enum<string>
requerido
Opciones disponibles:
Low,
Medium,
High
allowQuestions
boolean
requerido
allowMemory
boolean
requerido
memory
null | string
requerido

Respuesta

No Content